complexType "CommodityOption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 44 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, ((commodity, (effectiveDate?, terminationDate?, ((calculationPeriodsSchedule | calculationPeriods)?, pricingDates?, averagingMethod?)?)?, (((notionalQuantitySchedule | notionalQuantity | settlementPeriodsNotionalQuantity+)?, totalNotionalQuantity?) | quantityReference)?, exercise?, (strikePricePerUnit | strikePricePerUnitSchedule | floatingStrikePricePerUnit | floatingStrikePricePerUnitSchedule)?) | ((commoditySwap | commodityForward)?, physicalExercise?) | (effectiveDate?, (weatherCalculationPeriods | weatherCalculationPeriodsReference), weatherNotionalAmount?, exercise?, weatherIndexStrikeLevel?, calculation?, weatherIndexData?))?, premium*, (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?
</...>

Content Model Elements (44):

  assetClass (defined in Product.model group),
  averagingMethod (in commodityOption),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  calculation (in commodityOption),
  calculationPeriods (in commodityOption),
  calculationPeriodsSchedule (in commodityOption),
  commodity (in commodityOption),
  commodityForward,
  commoditySwap,
  commonPricing,
  effectiveDate (in commodityOption),
  effectiveDate (in commodityOption),
  embeddedOptionType,
  exercise (in commodityOption),
  exercise (in commodityOption),
  floatingStrikePricePerUnit,
  floatingStrikePricePerUnitSchedule,
  marketDisruption (defined in CommodityContent.model group),
  notionalQuantity,
  notionalQuantitySchedule,
  optionType (in commodityOption),
  physicalExercise (in commodityOption),
  premium (in commodityOption),
  pricingDates (in commodityOption),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  quantityReference (defined in CommodityNotionalQuantity.model group),
  rounding (defined in CommodityContent.model group),
  secondaryAssetClass (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  settlementDisruption,
  settlementPeriodsNotionalQuantity,
  strikePricePerUnit,
  strikePricePerUnitSchedule,
  terminationDate (in commodityOption),
  totalNotionalQuantity,
  weatherCalculationPeriods,
  weatherCalculationPeriodsReference,
  weatherIndexData (in commodityOption),
  weatherIndexStrikeLevel,
  weatherNotionalAmount (in commodityOption)

All Direct / Indirect Based Elements (1):

  commodityOption

Known Usage Locations

- As direct type of elements (1):
  commodityOption

Annotation
Defines a commodity option product type. The product support for financially-settled exercises or exercise into physical forward contracts written on precious and non-precious metals. options in FpML is based on the creation of a 'commodityOption' product. The product references the 'commodity' underlyer in order to support the underlying asset of the option.
Type Definition Detail

Type Derivation Tree Product (extension) CommodityOption

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="CommodityOption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> <xsd:choice minOccurs="0"> <xsd:group ref="CommodityFinancialOption.model"/> <xsd:group ref="CommodityPhysicalOption.model"/> <xsd:group ref="CommodityWeatherOption.model"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="CommodityPremium"/> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/44)
optionType

  Type: | PutCallEnum, simple content

  The type of option transaction.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/>

premium

  Type: | CommodityPremium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="CommodityPremium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.